Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences.annotation
Class StrandedLocatedSequenceAnnotationWithLength

    java.lang.Object
      de.jstacs.results.ResultSet
          de.jstacs.data.sequences.annotation.SequenceAnnotation
              de.jstacs.data.sequences.annotation.LocatedSequenceAnnotation
                  de.jstacs.data.sequences.annotation.LocatedSequenceAnnotationWithLength
                      de.jstacs.data.sequences.annotation.StrandedLocatedSequenceAnnotationWithLength

All Implemented Interfaces:
  Storable

Direct Known Subclasses:
  MotifAnnotation

    public class StrandedLocatedSequenceAnnotationWithLength

extends LocatedSequenceAnnotationWithLength

Class for a `SequenceAnnotation` that has a position, a length and an orientation on the strand of a `Sequence`.

Author:
  Jan Grau

Nested Class Summary
`static class` | `StrandedLocatedSequenceAnnotationWithLength.Strand` This enum defines possible orientations on the strands.

Field Summary

Fields inherited from class de.jstacs.results.ResultSet
`results`

Constructor Summary
`StrandedLocatedSequenceAnnotationWithLength(int position, int length, StrandedLocatedSequenceAnnotationWithLength.Strand strandedness, String type, String identifier, Collection<Result> results)` Creates a new `StrandedLocatedSequenceAnnotationWithLength` of type `type` with identifier `identifier` and additional annotation (that does not fit the `SequenceAnnotation` definitions) given as a `Collection` of `Result`s `results`.
`StrandedLocatedSequenceAnnotationWithLength(int position, int length, StrandedLocatedSequenceAnnotationWithLength.Strand strandedness, String type, String identifier, Result... results)` Creates a new `StrandedLocatedSequenceAnnotationWithLength` of type `type` with identifier `identifier` and additional annotation (that does not fit the `SequenceAnnotation` definitions) given as an array of `Result`s `results`.
`StrandedLocatedSequenceAnnotationWithLength(int position, int length, StrandedLocatedSequenceAnnotationWithLength.Strand strandedness, String type, String identifier, SequenceAnnotation[] annotations, Result... additionalAnnotations)` Creates a new `StrandedLocatedSequenceAnnotationWithLength` of type `type` with identifier `identifier`, additional annotation (that does not fit the `SequenceAnnotation` definitions) given as an array of `Result`s `additionalAnnotations` and sub-annotations `annotations`.
`StrandedLocatedSequenceAnnotationWithLength(StringBuffer representation)` The standard constructor for the interface `Storable`.
`StrandedLocatedSequenceAnnotationWithLength(String type, String identifier, StrandedLocatedSequenceAnnotationWithLength.Strand strandedness, LocatedSequenceAnnotation[] annotations, Result... additionalAnnotations)` Creates a new `StrandedLocatedSequenceAnnotationWithLength` of type `type` with identifier `identifier`, additional annotation (that does not fit the `SequenceAnnotation` definitions) given as an array of `Result`s `additionalAnnotations` and sub-annotations `annotations`.

Method Summary
`protected void` | `fromXML(StringBuffer representation)` Parses the contents of a `ResultSet` from its XML representation as returned by `ResultSet.toXML()`.
`StrandedLocatedSequenceAnnotationWithLength.Strand` | `getStrandedness()` Returns the strandedness, i.e the orientation of this annotation.
`String` | `toString()`
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class de.jstacs.data.sequences.annotation.LocatedSequenceAnnotationWithLength
`getEnd, getLength`

Methods inherited from class de.jstacs.data.sequences.annotation.LocatedSequenceAnnotation
`getPosition`

Methods inherited from class de.jstacs.data.sequences.annotation.SequenceAnnotation
`getAnnotations, getIdentifier, getSubAnnotations, getType`

Methods inherited from class de.jstacs.results.ResultSet
`findColumn, getNumberOfResults, getResultAt, getResults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StrandedLocatedSequenceAnnotationWithLength

    public StrandedLocatedSequenceAnnotationWithLength(int position,
                                                       int length,
                                                       StrandedLocatedSequenceAnnotationWithLength.Strand strandedness,
                                                       String type,
                                                       String identifier,
                                                       Result... results)

  Creates a new `StrandedLocatedSequenceAnnotationWithLength` of type `type` with identifier `identifier` and additional annotation (that does not fit the `SequenceAnnotation` definitions) given as an array of `Result`s `results`.

  Parameters:
    `position` - the position of the `StrandedLocatedSequenceAnnotationWithLength` on the sequence
    `length` - the length of the `StrandedLocatedSequenceAnnotationWithLength`
    `strandedness` - the orientation on the strand
    `type` - the type of the annotation
    `identifier` - the identifier of the annotation
    `results` - the additional annotation
  See Also:
    `LocatedSequenceAnnotationWithLength.LocatedSequenceAnnotationWithLength(int, int, String, String, Result...)`

### StrandedLocatedSequenceAnnotationWithLength

    public StrandedLocatedSequenceAnnotationWithLength(int position,
                                                       int length,
                                                       StrandedLocatedSequenceAnnotationWithLength.Strand strandedness,
                                                       String type,
                                                       String identifier,
                                                       Collection<Result> results)

  Creates a new `StrandedLocatedSequenceAnnotationWithLength` of type `type` with identifier `identifier` and additional annotation (that does not fit the `SequenceAnnotation` definitions) given as a `Collection` of `Result`s `results`.

  Parameters:
    `position` - the position of the `StrandedLocatedSequenceAnnotationWithLength` on the sequence
    `length` - the length of the `StrandedLocatedSequenceAnnotationWithLength`
    `strandedness` - the orientation on the strand
    `type` - the type of the annotation
    `identifier` - the identifier of the annotation
    `results` - the additional annotation
  See Also:
    `LocatedSequenceAnnotationWithLength.LocatedSequenceAnnotationWithLength(int, int, String, String, Collection)`

### StrandedLocatedSequenceAnnotationWithLength

    public StrandedLocatedSequenceAnnotationWithLength(int position,
                                                       int length,
                                                       StrandedLocatedSequenceAnnotationWithLength.Strand strandedness,
                                                       String type,
                                                       String identifier,
                                                       SequenceAnnotation[] annotations,
                                                       Result... additionalAnnotations)

  Creates a new `StrandedLocatedSequenceAnnotationWithLength` of type `type` with identifier `identifier`, additional annotation (that does not fit the `SequenceAnnotation` definitions) given as an array of `Result`s `additionalAnnotations` and sub-annotations `annotations`.

  Parameters:
    `position` - the position of the `StrandedLocatedSequenceAnnotationWithLength` on the sequence
    `length` - the length of the `StrandedLocatedSequenceAnnotationWithLength`
    `strandedness` - the orientation on the strand
    `type` - the type of the annotation
    `identifier` - the identifier of the annotation
    `annotations` - the sub-annotations
    `additionalAnnotations` - the additional annotation
  See Also:
    `LocatedSequenceAnnotationWithLength.LocatedSequenceAnnotationWithLength(int, int, String, String, SequenceAnnotation[], Result...)`

### StrandedLocatedSequenceAnnotationWithLength

    public StrandedLocatedSequenceAnnotationWithLength(String type,
                                                       String identifier,
                                                       StrandedLocatedSequenceAnnotationWithLength.Strand strandedness,
                                                       LocatedSequenceAnnotation[] annotations,
                                                       Result... additionalAnnotations)

  Creates a new `StrandedLocatedSequenceAnnotationWithLength` of type `type` with identifier `identifier`, additional annotation (that does not fit the `SequenceAnnotation` definitions) given as an array of `Result`s `additionalAnnotations` and sub-annotations `annotations`. The position of the new `LocatedSequenceAnnotationWithLength` is the minimal position of all positions of `annotations` and the length is determined so that it is the maximum of these positions and (if applicable) the corresponding values of `LocatedSequenceAnnotationWithLength.getEnd()`.

  Parameters:
    `strandedness` - the orientation on the strand
    `type` - the type of the annotation
    `identifier` - the identifier of the annotation
    `annotations` - the sub-annotations
    `additionalAnnotations` - the additional annotation
  See Also:
    `LocatedSequenceAnnotationWithLength.LocatedSequenceAnnotationWithLength(String, String, LocatedSequenceAnnotation[], Result...)`, `LocatedSequenceAnnotationWithLength.getEnd()`

### StrandedLocatedSequenceAnnotationWithLength

    public StrandedLocatedSequenceAnnotationWithLength(StringBuffer representation)
                                                throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `StrandedLocatedSequenceAnnotationWithLength` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `StrandedLocatedSequenceAnnotationWithLength` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `LocatedSequenceAnnotationWithLength.LocatedSequenceAnnotationWithLength(StringBuffer)`, `Storable`

Method Detail

### getStrandedness

    public StrandedLocatedSequenceAnnotationWithLength.Strand getStrandedness()

  Returns the strandedness, i.e the orientation of this annotation.

  Returns:
    the strandedness, i.e. the orientation

### fromXML

    protected void fromXML(StringBuffer representation)
                    throws NonParsableException

  Description copied from class: `ResultSet`
  Parses the contents of a `ResultSet` from its XML representation as returned by `ResultSet.toXML()`.

  Overrides:
    `fromXML` in class `LocatedSequenceAnnotationWithLength`
  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML code could not be parsed

### toString

    public String toString()

  Overrides:
    `toString` in class `LocatedSequenceAnnotationWithLength`

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Specified by:
    `toXML` in interface `Storable`
  Overrides:
    `toXML` in class `LocatedSequenceAnnotationWithLength`
  Returns:
    the XML representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD